/[resiprocate]/main/resip/stack/test/runtests.sh
ViewVC logotype

Diff of /main/resip/stack/test/runtests.sh

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 5777 by derek, Thu Jan 5 01:36:53 2006 UTC revision 5929 by dworley, Thu Feb 16 22:36:43 2006 UTC
# Line 1  Line 1 
1    #!/bin/bash
2    
3  function die() {  function die() {
4      echo "$1" >&2;      echo "$1" >&2;
5      exit 1;      exit 1;
6  }  }
7    
8  failed=0;  function pad () {
9        local l=$( echo -n $2 | wc -c )
10        local o=""
11        while [ $l -lt $1 ]; do
12            o="${o} "
13            l=$(( $l + 1 ))
14        done
15        echo -n "${o}${2} : " >& 2
16    }
17    
18    failed=0
19    
20    
21    drivers="
22            testAppTimer
23            testApplicationSip
24            testConnectionBase
25            testCorruption
26            testDigestAuthentication
27            testEmbedded
28            testEmptyHeader
29            testExternalLogger
30            testIM
31            testMessageWaiting
32            testMultipartMixedContents
33            testMultipartRelated
34            testParserCategories
35            testPidf
36            testPksc7
37            testPlainContents
38            testRlmi
39            testSdp
40            testSipFrag
41            testSipMessage
42            testSipMessageMemory
43            testStack
44            testTcp
45            testTime
46            testTimer        
47            testTuple
48            testUri"
49    
50    echo top
51    
52    x=0
53    length=0
54    
55    for prg in ${drivers}; do
56        x=$(( $(echo $prg  | wc -c ) + 0 ))
57        [ $x"x" == "x" ] && continue
58        if [ $x -gt $length ]; then
59            length=$x
60        fi
61    done
62    
63    flist=""
64    mlist=""
65    failed=0
66    missed=0
67    
68  for i in \  for i in ${drivers}; do
69          testAppTimer \    t=./$i
70          testApplicationSip \    pad $length $i
71          testConnectionBase \      if test ! -x $t; then
72          testCorruption \          echo "not found. (fail)" >&2
73          testDigestAuthentication \          mlist="${mlist} ${i}"
74          testEmbedded \          missed=$(( $missed + 1 ))
         testEmptyHeader \  
         testExternalLogger \  
         testIM \  
         testMessageWaiting \  
         testMultipartMixedContents \  
         testMultipartRelated \  
         testParseBuffer \  
         testParserCategories \  
         testPidf \  
         testPksc7 \  
         testPlainContents \  
         testRlmi \  
         testSdp \  
         testSipFrag \  
         testSipMessage \  
         testSipMessageMemory \  
         testStack \  
         testTcp \  
         testTime \  
         testTimer        \  
         testTuple \  
         testUri;  
 do  
     if test ! -x $i; then  
         echo "$i: test does not exist" >&2;  
75      else      else
76          ./$i >$i.log 2>&1;          if $t > $i.log 2>&1; then
77          if test $? -ne 0; then              echo "passed" >&2
78              die "$i: test failed";          else
79              failed=`expr ${failed} + 1`;              echo "failed" >&2
80          fi;              failed=$(( $failed + 1 ))
81          echo "$i: test passed";              flist="${flist} ${i}"
82            fi
83      fi;      fi;
84  done;  done;
85    
 if test ${failed} -ne 0; then  
     echo "${failed} tests failed" >&2;  
     exit 1;  
 fi;  
86    
87  #       sipTortureTests  if [ ${missed} -ne 0 ]; then
88  #       test503Generator      echo "Missed: "${mlist}
89  #       testDigestAuthentication2      echo "${missed} tests missing" >&2
90  #       testFlowId  fi
91  #       testLockStep  
92  #       testResponses  if [ ${failed} -ne 0 ]; then
93  #       testUdp      [ ${missed} -ne 0 ] && echo ""
94  #       testDns      echo "Failed: "${flist}
95        echo "${failed} tests failed" >&2
96    fi
97    
98    
99    exit $(( ${missed} + ${failed} ))
100    

Legend:
Removed from v.5777  
changed lines
  Added in v.5929

webmaster AT resiprocate DOT org
ViewVC Help
Powered by ViewVC 1.1.27